Bug 867471 - Provide Product.{add,update,remove}_component() methods
Provide Product.{add,update,remove}_component() methods
Status: VERIFIED
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
3.8.0
Unspecified Unspecified
high Severity high
: ---
: 3.8.8
Assigned To: Yang Ren
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 11:11 EDT by Petr Šplíchal
Modified: 2016-05-31 21:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2012-10-17 11:11:26 EDT
Description of problem:

In BaseOS QE we need to sync the list of components available in
the 'RHEL Tests' product with Bugzilla. Please provide methods for
adding, updating and removing components to/in/from a product as
adding new components manually through the web interface is not a
feasible option. Thanks.

Version-Release number of selected component (if applicable):
Nitrate 3.8.1
Comment 1 yawei Li 2012-11-13 03:20:16 EST
will be implemented in latest release.
Comment 2 jianchen 2014-05-18 07:31:56 EDT
(In reply to Petr Šplíchal from comment #0)
> Description of problem:
> 
> In BaseOS QE we need to sync the list of components available in
> the 'RHEL Tests' product with Bugzilla. Please provide methods for
> adding, updating and removing components to/in/from a product as
> adding new components manually through the web interface is not a
> feasible option. Thanks.
> 
> Version-Release number of selected component (if applicable):
> Nitrate 3.8.1

TCMS will have a new release which will add XMLRPC method for add/update/remove component, after deploy (before next weekend) in tcms-stage server, please verify.
Comment 3 jianchen 2014-07-10 02:25:50 EDT
Product.{add,update}_component() already added in 3.8.8, BTW, Product.remove_component is unavailable for data security reasons.

Note You need to log in before you can comment on or make changes to this bug.